# the-codex

A zine about Linux, typeset in LaTeX. 

The avatar image is by [Larry Ewing](http://www.isc.tamu.edu/~lewing/)
and [Simon Budig](http://www.home.unix-ag.org/simon/). Licensing info is [here](https://en.wikipedia.org/wiki/File:Tux.svg).

The pdf version is free. You can find it inside the `build` folder for each issue. I will also issue a release, so you can check there, as well.

If you want to buy a paper version with a fancy colored cover, printed up as a little booklet and saddle stapled (just perfect for reading on the go), you can buy them from my etsy shop. I'll include a link here as I add each issue.

## Paper Copies

**Issue 001**

You can buy issue [#001](https://git.kjodle.net/kjodle/the-codex/src/tag/Issue-001) on my etsy shop [here](https://www.etsy.com/listing/1099735271/the-codex-a-zine-about-linux). Use the coupon **GIT20** to get 20% off all zines.

**Issue 002**

I am currently at work on the second issue. You can the raw output here, or download the .tex file and convert it to a pdf or the file of your choice.

## Packages

I used a handful of packages to make this document, which I've listed below, along to their page on CTAN where you can read the full documentation.

* [graphicx](https://www.ctan.org/pkg/graphicx) &mdash; Provides extended support for images.
* [kpfonts](https://www.ctan.org/pkg/kpfonts) &mdash; A different font than the AMS fonts, which is a little heavier and easier to read for some.
* [makeidx](https://www.ctan.org/pkg/makeidx) &mdash; Creates indexes (or, indices, if you prefer). I didn't actually use this one. Maybe next time.
* [geometry](https://www.ctan.org/pkg/geometry) &mdash; Flexible and complete interfact to document dimensions.
* [fancyhdr](https://www.ctan.org/pkg/fancyhdr) &mdash; Gives you more control over page headers and footers.
* [multicol](https://www.ctan.org/pkg/multicol) &mdash; Provides for more than two or more columns in selected areas.
* [wrapfig](https://www.ctan.org/pkg/wrapfig) &mdash; Allows you to wrap text around figures.
* [hyperref](https://www.ctan.org/pkg/hyperref) &mdash; Support for hypertext (i.e., links). (Protip: use the *hidelinks* option to get rid of the annoying red boxes around links in the pdf form. Thanks to reddit user 0b0101011001001011 for this tip!)
* [tabto](https://www.ctan.org/pkg/tabto-ltx) &mdash; Allows you to set tab stops. (I used this one to get multiple paragraphs in a footnote. Still scratching my head about that one.)
* [ulem](https://www.ctan.org/pkg/ulem) &mdash; A package for making lines through text. In my case, I just wanted a simple strikethrough.

Also reddit user -LeopardShark- recommended using the package [microtype](https://www.ctan.org/pkg/microtype) to get finer typographical control. ~~Maybe in the next issue.~~ I'm actually using this in issue 002 and you can tell the difference by comparing page 2 in both issues and looking at the placement of the Creative Commons icon.

If you like this, but don't want to buy, you can always [donate](https://www.paypal.me/kjodle) via [PayPal](https://git.kjodle.net/kjodle/the-codex/raw/commit/951d36d4ce1ee46fce6127d60d18e69c0660c29e/ppme.svg). Thanks!
